Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# ExtUtils::MM_Cygwin

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# ExtUtils::MM_Cygwin

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

ExtUtils::MM_Cygwin - methods to override UN*X behaviour in ExtUtils::MakeMaker

# SYNOPSIS

     use ExtUtils::MM_Cygwin; # Done internally by ExtUtils::MakeMaker if needed

# DESCRIPTION

See ExtUtils::MM_Unix for a documentation of the methods provided there.

- os_flavor

  We're Unix and Cygwin.

- cflags

  if configured for dynamic loading, triggers #define EXT in EXTERN.h

- replace_manpage_separator

  replaces strings '::' with '.' in MAN*POD man page names

- init_linker

  points to libperl.a

- maybe_command

  If our path begins with /cygdrive/ then we use `ExtUtils::MM_Win32` to determine if it may be a command. Otherwise we use the tests from `ExtUtils::MM_Unix` .

- dynamic_lib

  Use the default to produce the *.dll's. But for new archdir dll's use the same rebase address if the old exists.

- all_target

  Build man pages, too

Page index

- NAME
- SYNOPSIS
- DESCRIPTION